Loans

Use the Loans API to let users create loan applications and to retrieve loan details. Submit personal and financial details to create a loan request; you'll receive webhooks when the loan is approved and when it is disbursed.

All requests use Bearer Token authentication with your secret key. Base URL: https://api.aellaapp.com.


POST/loans/create

Create Loan Request

This endpoint allows users to create a loan by submitting their personal and financial details. Upon successful creation, you will receive webhooks for notifications when the loan is approved and when the loan is disbursed.

Request Body

  • Name
    first_name
    Type
    string
    Description

    The first name of the applicant.

  • Name
    last_name
    Type
    string
    Description

    The last name of the applicant.

  • Name
    phone
    Type
    string
    Description

    The phone number of the applicant, including country code.

  • Name
    nin
    Type
    string
    Description

    The National Identification Number of the applicant.

  • Name
    bvn
    Type
    string
    Description

    The Bank Verification Number of the applicant.

  • Name
    amount
    Type
    string
    Description

    The amount of loan requested.

  • Name
    tenure_type
    Type
    string
    Description

    The type of tenure for the loan (e.g. weekly, monthly).

  • Name
    email
    Type
    string
    Description

    The email address of the applicant.

  • Name
    tenure
    Type
    string
    Description

    The duration of the loan in the specified tenure type.

  • Name
    bank_code
    Type
    string
    Description

    The code of the bank where the loan will be processed. Get codes from the Get Banks endpoint.

  • Name
    account_number
    Type
    string
    Description

    The account number of the applicant.

  • Name
    longitude
    Type
    string
    Description

    The geographical longitude of the applicant's location.

  • Name
    latitude
    Type
    string
    Description

    The geographical latitude of the applicant's location.

Ensure that all required fields are filled out correctly to avoid errors in loan creation.

Request

POST
/loans/create
curl https://api.aellaapp.com/loans/create \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{
    "first_name": "John",
    "last_name": "Doe",
    "phone": "+2348012345678",
    "nin": "12345678901",
    "bvn": "98765432109",
    "amount": "50000",
    "tenure_type": "monthly",
    "email": "john.doe@example.com",
    "tenure": "6",
    "bank_code": "058",
    "account_number": "1234567890",
    "longitude": "3.3792",
    "latitude": "6.5244"
  }'

Response (201 Created)

{
  "status": "success",
  "title": "Loan request created successfully!",
  "message": "Loan Request Created Successfully",
  "data": {
    "merchant_id": "941d21d4-f15a-4ede-82a3-90642c73017d",
    "daas_user_id": "9b66ee94-3285-43a2-80ca-eca0c3e0c713",
    "amount": 50000,
    "tenure": "6",
    "tenure_type": "monthly",
    "bank_code": "058",
    "account_number": "1234567890",
    "reference": "115b074d-d3d9-4938-8b43-2cf747e48e6c",
    "status": "pending",
    "id": "ccd4d677-b15c-43a8-8575-10550150bb8c",
    "created_at": null,
    "updated_at": null
  }
}

GET/loans/:id

Fetch Loan

This endpoint retrieves detailed information about a specific loan request based on the provided loan ID.

Path Parameters

  • Name
    id
    Type
    string
    Description

    The unique identifier of the loan request you wish to retrieve.

Response

The response includes status, title, message, and data. The data object contains:

  • loan_request: Loan request info (id, merchant_id, daas_user_id, amount, tenure, tenure_type, bank_code, account_number, reference, status, environment, created_at, updated_at) and daas_user (applicant details).
  • loan_details: Full loan details including approval/disbursement info, repayment schedules, interest, next_due_date, loan_type_detail, and user info.

Request

GET
/loans/{id}
curl https://api.aellaapp.com/loans/fb7bf275-eac1-4d60-bb94-98f515f9f57a \
  -H "Authorization: Bearer {token}"

Response (200 OK)

{
  "status": "success",
  "title": "Loan request created successfully!",
  "message": "Loan details fetched successfully!",
  "data": {
    "loan_request": {
      "id": "fb7bf275-eac1-4d60-bb94-98f515f9f57a",
      "merchant_id": "941d21d4-f15a-4ede-82a3-90642c73017d",
      "daas_user_id": "59f852e2-1b71-416c-baa8-240d0990fdce",
      "amount": "7000.00",
      "tenure": 1,
      "tenure_type": "weekly",
      "bank_code": "000004",
      "bank_name": null,
      "account_number": "2156859903",
      "account_name": null,
      "reference": "1d64d578-0c03-4fa0-b61d-6b6945c7f2f6",
      "status": "approved",
      "environment": "SANDBOX",
      "created_at": "2025-09-15T13:05:22.000Z",
      "updated_at": "2025-09-15T12:06:11.000Z",
      "daas_user": {
        "id": "59f852e2-1b71-416c-baa8-240d0990fdce",
        "first_name": "Camron",
        "last_name": "Keeling",
        "phone": "+2348012345678",
        "email": "Jacinto41@yahoo.com",
        "nin": "12345600911",
        "bvn": "98765411159",
        "created_at": "2025-08-18T12:38:12.000Z",
        "updated_at": "2025-09-15T13:05:20.000Z"
      }
    },
    "loan_details": {
      "id": "1d64d578-0c03-4fa0-b61d-6b6945c7f2f6",
      "user_id": "59f852e2-1b71-416c-baa8-240d0990fdce",
      "merchant_id": "941d21d4-f15a-4ede-82a3-90642c73017d",
      "amount": 7000,
      "tenor": 1,
      "tenor_type": "FLEXIBLE",
      "status": 2,
      "status_text": "approved",
      "balance": 7210,
      "next_repayment_amount": 7210,
      "to_repay": 7210,
      "to_repay_when": "Every  week",
      "total_interest": 210,
      "interest_rate": 3,
      "repayment_mode": "WEEKLY",
      "total_repayment": 7210,
      "next_due_date": "2025-09-22T13:05:23.000Z",
      "approved_date": "2025-09-15T13:06:00.000Z",
      "start_date": "2025-09-15T13:05:23.000Z",
      "end_date": "2025-09-22T13:05:23.000Z",
      "loan_type_detail": { "id": "...", "name": "DEBT AS A SERVICE", "description": "For merchants" },
      "user": { "id": "...", "first_name": "Camron", "last_name": "Keeling", "email": "...", "account_number": "2156859903", "bvn": "98765411159", "phone_number": "+2348012345678" },
      "repayment_schedules": [],
      "schedules": []
    }
  }
}

GET/loans

Fetch Loans

This endpoint retrieves a paginated list of loans for your merchant.

Query Parameters

  • Name
    page
    Type
    integer
    Description

    The page number of the results to retrieve (e.g. page=1 for the first page).

Response

The response includes status, title, message, data (array of loan objects), and meta with pagination info: current_page, next_page, prev_page, per_page. Each loan in data includes id, merchant_id, daas_user_id, amount, tenure, tenure_type, bank_code, account_number, reference, status, environment, created_at, updated_at, and daas_user (applicant details).

Request

GET
/loans
curl "https://api.aellaapp.com/loans?page=1" \
  -H "Authorization: Bearer {token}"

Response (200 OK)

{
  "status": "success",
  "title": "Loan requests fetched successfully!",
  "message": "Loan requests fetched successfully!",
  "data": [
    {
      "id": "fb7bf275-eac1-4d60-bb94-98f515f9f57a",
      "merchant_id": "941d21d4-f15a-4ede-82a3-90642c73017d",
      "daas_user_id": "59f852e2-1b71-416c-baa8-240d0990fdce",
      "amount": "7000.00",
      "tenure": 1,
      "tenure_type": "weekly",
      "bank_code": "000004",
      "bank_name": null,
      "account_number": "2156859903",
      "account_name": null,
      "reference": "1d64d578-0c03-4fa0-b61d-6b6945c7f2f6",
      "status": "approved",
      "environment": "SANDBOX",
      "created_at": "2025-09-15T13:05:22.000Z",
      "updated_at": "2025-09-15T12:06:11.000Z",
      "daas_user": {
        "id": "59f852e2-1b71-416c-baa8-240d0990fdce",
        "first_name": "Camron",
        "last_name": "Keeling",
        "phone": "+2348012345678",
        "email": "Jacinto41@yahoo.com",
        "nin": "12345600911",
        "bvn": "98765411159",
        "created_at": "2025-08-18T12:38:12.000Z",
        "updated_at": "2025-09-15T13:05:20.000Z"
      }
    }
  ],
  "meta": {
    "current_page": 1,
    "next_page": null,
    "prev_page": null,
    "per_page": "..."
  }
}

Was this page helpful?